import matlab.net.*
import matlab.net.http.*

fftsize = 1024*4;
address = 'http://localhost:54664/';

r = RequestMessage;

resp = send(r,URI(append(address , 'sample')));
disp( resp.Body.Data );
    
I = resp.Body.Data.samples(1:2:fftsize);
Q = resp.Body.Data.samples(2:2:fftsize);
IQData = I+1i*Q;

y =  fftshift( fft( hanning(length(IQData)).*IQData, fftsize ) ) ;

y = abs(y/fftsize).^2;
y = y/50;
y = 10*log10( y / 0.001 );

x = linspace(resp.Body.Data.startFrequency, ...
    resp.Body.Data.endFrequency, fftsize); 

figure
plot(x,y);
xlabel('Frequency in Hz');
ylabel('Power in dBm');
title('Spectrum of RTSA IQ Data');

status = resp.StatusCode;
